Log in or register to post comments

Upgrading from 9.0.12 to 9.2.8 fails to build scripts

July 7, 2020 - 9:06am #1

After upgrading Vuforia from 9.0.12 to currently latest 9.2.8 via Package Manager in Unity 2019.3.12f1, I started getting this error for a bunch of scripts where I use custom tracking handling:

The type or namespace name 'ITrackableEventHandler' could not be found.

This includes the Vuforia's own scripts implementing that handler.

Does some breaking changes regarding ITrackableEventHandler occured at the latest versions and what should I do to fix this issue?

For now, downgrading back to 9.0.12 has fixed the issue but I might have to update in the future so I need to know how to mitigate this issue.

Upgrading from 9.0.12 to 9.2.8 fails to build scripts

July 14, 2020 - 6:36am #2

Hi,

With 8.6.7 we made some changes:

Refactored the way how Unity application code can register for Vuforia Engine events. Instead of implementing event handling interfaces, application scripts can now register for individual callbacks. See the VuforiaSamples for more details.

As mentioned in the above release notes, please check our Vuforia Core sample app, available on the Unitystore, to see our implementation of the individual callbacks.

Hope this helps.

Vuforia Engine Support

Log in or register to post comments